Bug 1428750 - Fails to build in brew
Summary: Fails to build in brew
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Marc-Andre Lureau
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks: 1430616 1430617 1437060
TreeView+ depends on / blocked
 
Reported: 2017-03-03 09:56 UTC by Marc-Andre Lureau
Modified: 2018-07-13 16:30 UTC (History)
16 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.504.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1436275 1437060 (view as bug list)
Environment:
Last Closed: 2018-07-13 16:30:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1430527 urgent CLOSED GNUTLS change broke qemu-kvm build for RHEL 6.9 2020-10-14 00:28:05 UTC
Red Hat Bugzilla 1436275 unspecified CLOSED Fails to build in brew 2020-10-14 00:28:05 UTC

Internal Links: 1430527 1436275

Description Marc-Andre Lureau 2017-03-03 09:56:44 UTC
Description of problem:

qemu-kvm-0.12.1.2-2.503.el6 fails to build,
git://git.app.eng.bos.redhat.com/virt/rhel6/qemu-kvm.git

gcc -I/builddir/build/BUILD/qemu-kvm-0.12.1.2/slirp -Werror -m64 -Wold-style-definition -Wold-style-declaration -I. -I/builddir/build/BUILD/qemu-kvm-0.12.1.2 -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wstrict-prototypes -Wredundant-decls -Wall -Wundef -Wendif-labels -Wwrite-strings -Wmissing-prototypes -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fPIE -DPIE  -I/usr/include/spice-server -I/usr/include/cacard -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/nss3 -I/usr/include/nspr4 -I/usr/include/spice-1     -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include    -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I/builddir/build/BUILD/qemu-kvm-0.12.1.2/include -MMD -MP -MT slirp/ip_icmp.o -O2 -g  -c -o slirp/ip_icmp.o /builddir/build/BUILD/qemu-kvm-0.12.1.2/slirp/ip_icmp.c
cc1: warnings being treated as errors
/builddir/build/BUILD/qemu-kvm-0.12.1.2/vnc-tls.c: In function 'vnc_tls_client_setup':
/builddir/build/BUILD/qemu-kvm-0.12.1.2/vnc-tls.c:313: error: 'gnutls_kx_set_priority' is deprecated (declared at /usr/include/gnutls/compat.h:342)
/builddir/build/BUILD/qemu-kvm-0.12.1.2/vnc-tls.c:320: error: 'gnutls_certificate_type_set_priority' is deprecated (declared at /usr/include/gnutls/compat.h:347)
/builddir/build/BUILD/qemu-kvm-0.12.1.2/vnc-tls.c:327: error: 'gnutls_protocol_set_priority' is deprecated (declared at /usr/include/gnutls/compat.h:344)


An easy fix is to cherry-pick f40d55081667a716312b9a8b6e13835c4074f56b from upstream, I am sending it to for review

Comment 4 Tuomo Soini 2017-03-22 08:14:40 UTC
Shouldn't this be against 6.9, not 6.6.

Comment 5 Jeff Nelson 2017-03-22 16:36:12 UTC
Fixed, thanks.

Comment 7 Danilo Cesar Lemes de Paula 2017-03-27 13:34:49 UTC
Fix included in qemu-kvm-0.12.1.2-2.503.el6_9.1

Comment 15 Danilo Cesar Lemes de Paula 2017-05-26 12:59:10 UTC
Not really, I started the process a while ago but stoped as I couldn't create an errata for 6.10 as it was in planning phase. I guess I can restart that now.

Comment 16 Danilo Cesar Lemes de Paula 2017-06-08 21:03:58 UTC
Fix included in qemu-kvm-0.12.1.2-2.504.el6

Comment 20 Jeff Nelson 2018-07-13 16:30:21 UTC
Ready to be closed. Problem is fixed and fix is available.


Note You need to log in before you can comment on or make changes to this bug.